That's my fault.  The light ray tool doesn't work within YT's parallel standards.  Putting the mpi4py import inside a try block probably won't work since the error is killing the python code.  For safety, it's probably best to just keep that import out of any .api for now.

On Wed, Apr 27, 2011 at 3:10 PM, Carolyn Peruta <perutaca@msu.edu> wrote:
It works, thanks!


On Apr 27, 2011, at 3:07 PM, Matthew Turk wrote:

> Hi Carolyn,
>
> Skimming the source, it looks like light_ray gets imported when you do
> yt.analysis_modules.api.  light_ray includes an import of mpi4py.  So
> what I think is happening is that this import breaks the local MPI
> installation, and rather than throwing an error, it calls the system
> exit, dumping you back at the prompt.
>
> I've committed what I think is a fix to both the tip and the stable
> repo.  Can you give it a shot?
>
> -Matt
>
> On Wed, Apr 27, 2011 at 3:02 PM, Carolyn Peruta <perutaca@msu.edu> wrote:
>> Hi all,
>>
>> I've never had problems running YT on Ranger before, but after my latest hg pull/update I'm getting the following error:
>>
>>
>> In [3]: from yt.mods import *
>>
>> In [4]: from yt.analysis_modules.api import EnzoSimulation
>> PMGR_COLLECTIVE ERROR: unitialized MPI task: Missing required environment variable: MPIRUN_RANK
>>
>>
>> What's going on here?
>>
>> Best,
>>
>> Carolyn
>> _______________________________________________
>> yt-users mailing list
>> yt-users@lists.spacepope.org
>> http://lists.spacepope.org/listinfo.cgi/yt-users-spacepope.org
>>
> _______________________________________________
> yt-users mailing list
> yt-users@lists.spacepope.org
> http://lists.spacepope.org/listinfo.cgi/yt-users-spacepope.org

_______________________________________________
yt-users mailing list
yt-users@lists.spacepope.org
http://lists.spacepope.org/listinfo.cgi/yt-users-spacepope.org